Subject: Re: [IPTEL] Comments on RFC2806bis

From: Henning Schulzrinne <[email-masked]>
Date: Tue, 21 May 2002 11:41:53 -0400

Your note would argue for not encoding the details of the format 
(country code) in the tel URL BNF, particularly since there's no real 
delimiter between country code and remainder of the message. In other 
words, entities that just parse the URL (as opposed to dialing a number) 
don't care which of the first N digits are a country code. Prefix 
matching for the context is done by string matching, too.

Generally, I think encoding semantics in a syntax description is a bad idea.

> Current E.164 calls for decimal, not hex, but I know there have been 
> suggestions to change that. In addition, I believe there is now 
> discussion about providing some 4-digit "country codes" by using the 
> unused 3-digit codes of 28x, 83x and 89x to support the continued 
> fractioning of countries. The important point is that, whatever SIP 
> does, it must be able to gracefully handle later changes to the 
> worldwide (and local) numbering plans. That means that these things can 
> not be burned into end devices. (Remember, the number was recently 
> expanded from 12 to 15 digits.)
> 
> Mike Pierce

_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel

---

From: [email-masked]
Date: Tue, 21 May 2002 11:34:13 EDT

In a message dated 5/21/02 7:27:18 AM Eastern Daylight Time, [email-masked] 
writes:
(In response to an earlier from Henning)

> >Done. Can the country code contain hex digits? Is there the 
> >possibility that country codes need more than three digits? Does 
> >East Timor have its own country code?
> 
> Hmm...should be in E.164, IMHO. Will look.
> 

Current E.164 calls for decimal, not hex, but I know there have been 
suggestions to change that. In addition, I believe there is now discussion 
about providing some 4-digit "country codes" by using the unused 3-digit 
codes of 28x, 83x and 89x to support the continued fractioning of countries. 
The important point is that, whatever SIP does, it must be able to gracefully 
handle later changes to the worldwide (and local) numbering plans. That means 
that these things can not be burned into end devices. (Remember, the number 
was recently expanded from 12 to 15 digits.)

Mike Pierce